seo:
  title: A 3-step plan for DevOps platform migration
  description: >-
    Too many tools = too much time wasted. Use our 3-step plan and detailed
    checklist to jumpstart a DevOps platform migration.
  ogTitle: A 3-step plan for DevOps platform migration
  ogDescription: >-
    Too many tools = too much time wasted. Use our 3-step plan and detailed
    checklist to jumpstart a DevOps platform migration.
  noIndex: false
  ogImage: images/blog/hero-images/more-robust-task-lists.jpg
  ogUrl: https://about.gitlab.com/blog/a-3-step-plan-for-devops-platform-migration
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/a-3-step-plan-for-devops-platform-migration
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "A 3-step plan for DevOps platform migration",
            "author": [{"@type":"Person","name":"Lauren Minning"}],
            "datePublished": "2022-08-25",
          }

content:
  title: A 3-step plan for DevOps platform migration
  description: >-
    Too many tools = too much time wasted. Use our 3-step plan and detailed
    checklist to jumpstart a DevOps platform migration.
  authors:
    - Lauren Minning
  heroImage: images/blog/hero-images/more-robust-task-lists.jpg
  date: '2022-08-25'
  body: >


    When making your DevOps platform migration plan, less really is more, at
    least when it comes to tools.


    Our [2022 Global DevSecOps Survey](/developer-survey/) found that not only
    do teams have _lots_ of tools, they spend a significant amount of time
    managing them. All told 40% of developers spend between one quarter and one
    half of their time on toolchain maintenance and integration, and another 33%
    spend between 50% and **all** of their time on this task. So it’s hardly a
    surprise that 69% of survey takers said they want to consolidate their
    toolchains.


    One obvious way to consolidate is migrating to a DevOps platform. DevOps
    platform migration does take some planning and teamwork, but it can be done.
    Here’s a 3-step plan (and a self-evaluation checklist) to get teams started.


    ## Choose the right path


    The most important thing to know about migrating to an end-to-end DevOps
    platform is that everyone's needs are different so there isn’t one “right
    way” to carry out your migration.


    A company that has 1,000 users will have completely different DevOps needs
    than a company that has 5,000 users. What your specific DevOps platform
    migration plan requires will depend on the types of projects you migrate,
    the file types within those projects, and a whole host of other parameters.
    Because of this, there is not a “one size fits all” migration process for
    everyone to follow. 


    Here’s a basic 3-step guide for migrating to a DevOps platform:


    **Begin by identifying** the strategic goals and be clear about why they are
    a priority for future business plans.


    **Evaluate tools** currently in use that no longer serve future goals.
    Ultimately the goal should be to operate entirely out of a single
    application for maximum efficiency. But it may make sense to migrate some
    things now and others down the line. 


    This is the time to become a historian and discern which tools have been
    problematic in the past. Consider what to migrate right away or later on and
    why (i.e., instability or costly maintenance and licensing) and really use
    that to inform the migration process. 


    _An important note: Take into consideration the business disruption that
    migration has on a company. Replacing existing tools with a new DevOps
    platform in one step could mean sweeping changes across the organization,
    and the fallout might not be worth it. Instead, start with the things taking
    time, effort and money to maintain. And continue to keep it as simple and
    streamlined as possible._


    **Have everyone** on the team complete a self-evaluation so there are no
    surprises.


    ## Do a self-evaluation 


    Here are key questions to ask:


    - What’s the timeline? Discuss with all involved parties – existing team
    members and a representative of the new DevOps platform – how much time to
    allot for a completed migration. Migrations can take anywhere from 2 weeks
    for the initial migration to 3-6 months for monitoring. 


    - What are the costs? This kind of platform adoption can ultimately save a
    LOT of money. However, the adoption of a new DevOps platform and the
    associated migration will no doubt have costs. Consider all costs and make
    sure they align with budgetary goals and requirements.


    - What about assistance? Are other parts of the company prepared to support
    a migration? How much of this will require work from the existing team and
    how much support will the DevOps platform provider offer? 


    - Who are the primary and other platform users? What teams of people will
    migrate to this new platform? Will everyone have the same level or different
    levels of permissions? What needs to be done so that these teams are
    prepared to learn and teach the ins and outs of the new platform to other
    team members? 


    - What data is migrating? Make sure to have a 360 view of the data involved
    in a migration including, projects, issues, and file types. What changes can
    happen with data when moving to a brand new DevOps platform? When evaluating
    the projects planned for migration, explore which applications teams spend
    the most time and energy working with, and what will set them up for success
    in the new platform.


    - How will automation fit in? Ensure teams understand the technology
    underpinnings of automation, like Kubernetes, CI/CD and more.

    How should it be customized? Not every tool on a DevOps platform will be
    right for every team, and some tools might be a better fit at a later date.
    It makes sense to address any technology “outliers” right from the start. 


    - Should the process be documented? Every step of the migration process
    should be documented and shared across teams. This level of transparency and
    an iterative, easy-to-search knowledge base can help problem-solve and refer
    back to stages already completed. Much like a single source for DevOps, a
    single source of truth for DevOps migration info helps everyone involved. 


    - What about security? Security is never a “one and done,” but this is a
    good time to consider processes and levels of protection.

    What are good results?: What will a successful migration look like – when
    data is moved, or when teams are comfortable in their knowledge and use of
    the new system? Map out what the goals that will be critical to a successful
    migration.


    Check out our _[Migrating to a DevOps
    platform](https://page.gitlab.com/migrate-to-devops-guide.html)_ eBook  for
    even more useful information about how to complete a successful DevOps
    platform migration.
  category: DevSecOps
  tags:
    - DevOps
    - developer survey
    - security
config:
  slug: a-3-step-plan-for-devops-platform-migration
  featured: false
  template: BlogPost
